View Issue Details

IDProjectCategoryView StatusLast Update
0016147MediaMonkey 5Main Panelpublic2019-11-29 20:56
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016147: Duplicate content functionality is incomplete
DescriptionGo to Music > Files to edit > Duplicate content

1) the node is empty and is missing the expand mark (like in MM4)
2) Upon clicking the expand mark in MM4 it shown dialog:
"X tracks in your library have not been analyzed for redundancy. Would you like to analyze them now (this takes a fair amount of time)?"
and the calc thread of signatures started.

This code has not been ported to MM5 at all yet.
TagsNo tags attached.
Fixed in build2219

Relationships

related to 0016115 closedpetr Duplicate Titles is missing duplicates 
related to 0016154 newpetr Use audio fingerprints to detect duplicates 

Activities

Ludek

2019-11-26 23:31

developer   ~0055508

While porting this I wonder whether we shouldn't rather use the AcoustID fingerprint signature that we already use for auto-tagging in MM5?

Ludek

2019-11-27 09:06

developer   ~0055510

Last edited: 2019-11-27 09:06

View 2 revisions

Petr has already "partially" implemented this in course of 0016115 - item 3

petr

2019-11-28 17:23

developer   ~0055534

Fixed

rusty

2019-11-29 07:36

administrator   ~0055553

Last edited: 2019-11-29 08:43

View 4 revisions

Aside from the above (possible) issue, there's a minor bug re. the ""X tracks in your library have not been analyzed for redundancy. Would you like to analyze them now (this takes a fair amount of time)?" warning: if the user goes to Duplicate Content and clicks 'No' (in response to the dialog), then the dialog appears a second time.

Then 10 minutes later after navigating throughout the library, then searching for 'Don't think twice' and initiating playback
--> the dialog appeared again! Twice! (in fact it happens each time I initiate playback!)

EDIT: The dialog also appears each time I edit tracks (specifically 'lookup lyrics' via Art&Details).

petr

2019-11-29 08:52

developer   ~0055556

Fixed

jiri

2019-11-29 09:09

administrator   ~0055558

Per discussion with Petr, acoustid is currently only used when it's already calculated from Auto-Tag, in order to avoid the huge server traffic.

We could use acoustid algorithm locally to calculate audio signatures and compare tracks locally based on the values. However, nothing really important, just something to consider for MM5.1 or later.

rusty

2019-11-29 17:47

administrator   ~0055562

In build 2218, the dialog still opens twice upon visiting the 'Duplicate Content' node! The good news though is that it doesn't open when playing/tagging music.

Ludek

2019-11-29 19:42

developer   ~0055564

Test note to replicate the second showing of the dialog: the Preview window needs to be set to the "Selected" mode (does not happen in the "Playing" mode, details sent to Petr over IM)

petr

2019-11-29 20:56

developer   ~0055565

Fixed